I am currently running ZCS 5.0.16 on CentOS 5.3 (i386). When I tried to upgrade to 5.0.18, I got a database error and a bunch of "REPAIR TABLE" suggestions. Research in the forums didn't give me a clear answer on what to do here; one answer says its ok to ignore the errors, but this was on a different upgrade and I'm not sure if this applies here. Any help is appreciated.

Below is a partial log from the upgrade:


Checking for prerequisites...
FOUND: NPTL
FOUND: sudo-1.6.9p17-3
FOUND: libidn-0.6.5-1.1
FOUND: fetchmail-6.3.6-1.1
FOUND: gmp-4.1.4-10
FOUND: compat-libstdc++-296-2.96-138
FOUND: compat-libstdc++-33-3.2.3-61
FOUND: libtool-ltdl-1.5.22-6.1
FOUND: /usr/lib/libstdc++.so.6
Checking for suggested prerequisites...
FOUND: perl-5.8.8
Prerequisite check complete.
Checking current number of databases...

Do you want to verify message store database integrity? [Y] y
Verifying integrity of message store databases. This may take a while.
mysqld is alive
Database errors found.
/opt/zimbra/mysql/bin/mysqlcheck --defaults-file=/opt/zimbra/conf/my.cnf -S /opt/zimbra/db/mysql.sock -A -C -s -u root --password= --auto-repair
mysql.columns_priv
error : Table upgrade required. Please do "REPAIR TABLE `columns_priv`" to fix it!
mysql.db
error : Table upgrade required. Please do "REPAIR TABLE `db`" to fix it!
mysql.func
error : Table upgrade required. Please do "REPAIR TABLE `func`" to fix it!
mysql.help_relation
error : Table upgrade required. Please do "REPAIR TABLE `help_relation`" to fix it!
mysql.host
error : Table upgrade required. Please do "REPAIR TABLE `host`" to fix it!
mysql.tables_priv
error : Table upgrade required. Please do "REPAIR TABLE `tables_priv`" to fix it!
mysql.time_zone
error : Table upgrade required. Please do "REPAIR TABLE `time_zone`" to fix it!
mysql.time_zone_leap_second
error : Table upgrade required. Please do "REPAIR TABLE `time_zone_leap_second`" to fix it!
mysql.time_zone_name
error : Table upgrade required. Please do "REPAIR TABLE `time_zone_name`" to fix it!
mysql.time_zone_transition
error : Table upgrade required. Please do "REPAIR TABLE `time_zone_transition`" to fix it!
mysql.time_zone_transition_type
error : Table upgrade required. Please do "REPAIR TABLE `time_zone_transition_type`" to fix it!
zimbra.current_volumes
error : Table upgrade required. Please do "REPAIR TABLE `current_volumes`" to fix it!
[root@mail1 zcs-5.0.18_GA_3011.RHEL5.20090707164432]#